# Role: wireguard

## Description

Installs wireguard tools and configures wireguard interfaces.

https://www.wireguard.com/

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.wireguard
  vars:
    ...
```

### Vars

`wireguard_interfaces`:

List of wireguard interfaces to setup.

Objects have the following fields:

  - 'name'
  - 'enabled'
  - 'config'
  - 'config_blocks' - optional - list with fields 'marker' and 'config', uses blockinfile.

`wireguard_reset`:

Reset wireguard interface config before installing their contents.
